Name:           perl-Alien-PCRE2
Version:        0.015000
Release:        4%{?dist}
Summary:        Install and locate PCRE2 library
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Alien-PCRE2
Source0:        https://cpan.metacpan.org/authors/id/W/WB/WBRASWELL/Alien-PCRE2-%{version}.tar.gz
# Fix test plan <https://github.com/wbraswell/alien-pcre2/pull/7>
Patch0:         Alien-PCRE2-0.013000-Fix-t-02_pcre2_config.t-plan-for-system-installation.patch
# Adjust tests to accept PCRE2 release candidates,
# <https://github.com/wbraswell/alien-pcre2/pull/8>
Patch1:         Alien-PCRE2-0.015000-Accept-PCRE2-release-candidates.patch
# This is an architecture-dependenant package because it stores data about
# architecture-specific library, but it has no XS code, hence no debuginfo.
%global debug_package %{nil}
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
# Alien::Build::MM version from Alien::Build in META
BuildRequires:  perl(Alien::Build::MM) >= 0.66
BuildRequires:  perl(Config)
BuildRequires:  perl(English)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
# Alien modules' purpose is to ensure one can compile against a library
BuildRequires:  pcre2-devel
BuildRequires:  perl(Alien::Base)
BuildRequires:  perl(base)
# Tests:
# pcre2-toools for pcre2grep
BuildRequires:  pcre2-tools
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Env)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IPC::Cmd)
# Test2::V0 version from Test2::Suite in META
BuildRequires:  perl(Test2::V0) >= 0.000072
BuildRequires:  perl(Test::Alien)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Alien modules' purpose is to ensure one can compile against a library
Requires:       pcre2-devel%{?_isa}

%description
This package can be used by other Perl modules that require PCRE2 library, the
new Perl Compatible Regular Expression engine.

%prep
%setup -q -n Alien-PCRE2-%{version}
%patch0 -p1
%patch1 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README.md
%{perl_vendorarch}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 03 2018 Petr Pisar <ppisar@redhat.com> - 0.015000-4
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.015000-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 31 2018 Petr Pisar <ppisar@redhat.com> - 0.015000-2
- Adjust tests to accept PCRE2 release candidates

* Thu Nov 09 2017 Petr Pisar <ppisar@redhat.com> - 0.015000-1
- 0.015000 bump

* Mon Nov 06 2017 Petr Pisar <ppisar@redhat.com> - 0.014000-1
- 0.014000 bump

* Mon Sep 04 2017 Petr Pisar <ppisar@redhat.com> 0.013000-1
- Specfile autogenerated by cpanspec 1.78.
